libguestfs (1:1.58.1-7ubuntu3) stonking; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Aug 2026 17:20:59 +0200

libguestfs (1:1.58.1-7ubuntu2) stonking; urgency=medium

  * No-change rebuild against perl 5.42.3

 -- Ural Tunaboyu <ural@ubuntu.com>  Fri, 21 Aug 2026 07:18:51 -0700

libguestfs (1:1.58.1-7ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 28 Jun 2026 09:17:20 +0200

libguestfs (1:1.58.1-7) unstable; urgency=medium

  * Update reproducibility patch: Add --mode flags to tar commands

 -- Hilko Bengen <bengen@debian.org>  Mon, 18 May 2026 23:12:50 +0200

libguestfs (1:1.58.1-6) unstable; urgency=medium

  * Add reproducibility patch: Set umask while building appliance
  * Make sorting language versions into debian/build-* reproducible

 -- Hilko Bengen <bengen@debian.org>  Sun, 17 May 2026 22:19:15 +0200

libguestfs (1:1.58.1-5ubuntu2) stonking; urgency=medium

  * No-change rebuild for libtsk23.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 11 Jun 2026 10:07:25 +0000

libguestfs (1:1.58.1-5ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 May 2026 17:07:24 +0200

libguestfs (1:1.58.1-5) unstable; urgency=medium

  * Remove Multi-Arch field from libgobject-dev for now (Closes: #1133803)
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Tue, 14 Apr 2026 23:28:18 +0200

libguestfs (1:1.58.1-4) unstable; urgency=medium

  * Fix typo (spearc -> sparc)
  * Replace QMP vebosity patch
  * Add Multi-Arch headers for Java, Ruby, GIR bindings
  * Drop support for 32bit architectures (Closes: #1131838)
  * Correct obsolete selinux build-dependency

 -- Hilko Bengen <bengen@debian.org>  Sat, 28 Mar 2026 11:17:57 +0100

libguestfs (1:1.58.1-3ubuntu3) resolute; urgency=medium

  * No-change rebuild to drop Python 3.13 bits.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2026 11:18:23 +0100

libguestfs (1:1.58.1-3ubuntu2) resolute; urgency=medium

  * No change rebuild with fixed amd64v3 builders

 -- Sebastien Bacher <seb128@ubuntu.com>  Sun, 01 Mar 2026 10:58:22 +0100

libguestfs (1:1.58.1-3ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Feb 2026 22:40:22 +0100

libguestfs (1:1.58.1-3) unstable; urgency=medium

  * Add seabios dependency for ppc* architectures

 -- Hilko Bengen <bengen@debian.org>  Sun, 15 Feb 2026 00:43:49 +0100

libguestfs (1:1.58.1-2) unstable; urgency=medium

  * Add ipxe-qemu dependency for some architectures
  * Re-enable check on s390x

 -- Hilko Bengen <bengen@debian.org>  Sat, 14 Feb 2026 22:37:44 +0100

libguestfs (1:1.58.1-1) unstable; urgency=medium

  * New upstream version 1.58.1
  * Update watch file
  * Rebase patches
  * Update symbols file
  * Remove dead powerpcspe architecture from build dependencies

 -- Hilko Bengen <bengen@debian.org>  Sat, 14 Feb 2026 12:37:14 +0100

libguestfs (1:1.56.2-6ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Feb 2026 08:26:38 +0100

libguestfs (1:1.56.2-6) unstable; urgency=medium

  * Bump Standards-Version
  * Add patch to wait for device node to appear before mkfs, mount
  * Re-enable tests (quickcheck) and autopkgtests

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Feb 2026 13:36:00 +0100

libguestfs (1:1.56.2-5ubuntu2) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 31 Jan 2026 19:07:33 +0100

libguestfs (1:1.56.2-5) unstable; urgency=medium

  * Replace ocaml-nox build-dependency (Closes: #1125113)
  * Fix FUSE3 patch.
    Thanks to Sven Geuer (Closes: #1126422)
  * Remove isc-dhcp dependencies (Closes: #1125958)

 -- Hilko Bengen <bengen@debian.org>  Fri, 30 Jan 2026 17:45:11 +0100

libguestfs (1:1.56.2-4ubuntu3) resolute; urgency=medium

  * No-change rebuild for php 8.5.

 -- Renan Rodrigo <rr@ubuntu.com>  Mon, 26 Jan 2026 10:16:30 -0300

libguestfs (1:1.56.2-4ubuntu2) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Jan 2026 09:29:59 +0100

libguestfs (1:1.56.2-4) unstable; urgency=medium

  * Fix branch in gbp.conf

 -- Hilko Bengen <bengen@debian.org>  Thu, 08 Jan 2026 10:21:55 +0100

libguestfs (1:1.56.2-3) unstable; urgency=medium

  * Add isc-dhcp-client dependency so it is added to the packagelist
    (Closes: #1111785)

 -- Hilko Bengen <bengen@debian.org>  Tue, 30 Dec 2025 10:56:09 +0100

libguestfs (1:1.56.2-2) unstable; urgency=medium

  * Run quickchek test only if kvm is available
  * Temporarily remove autopkgtests (Closes: #1121473)

 -- Hilko Bengen <bengen@debian.org>  Mon, 29 Dec 2025 21:23:48 +0100

libguestfs (1:1.56.2-1ubuntu2) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Jan 2026 18:31:09 +0100

libguestfs (1:1.56.2-1) unstable; urgency=medium

  * New upstream version 1.56.2
  * Update debian/watch for 1.56.*
  * Update build-dependencies
  * Rebase patches
  * Update symbols
  * Explicitly disable Rust support
  * Remove reiserfs support (Closes: #1112513)
  * Remove zfs-fuse support that has been dropped upstream
  * Add FUSE 3 compatibility patch, re-enable building guestmount
    (Closes: #1122972)

 -- Hilko Bengen <bengen@debian.org>  Mon, 29 Dec 2025 02:00:12 +0100

libguestfs (1:1.54.1-3.1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Dec 2025 17:22:10 +0100

libguestfs (1:1.54.1-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop fuse features (Closes: #1121188, #1094463)

 -- Bastian Germann <bage@debian.org>  Fri, 28 Nov 2025 21:06:48 +0100

libguestfs (1:1.54.1-3ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Nov 2025 08:13:21 +0100

libguestfs (1:1.54.1-3) unstable; urgency=medium

  * Replace libgirepository1.0-dev build-dependency.
    Thanks to Simon McVittie (Closes: #1118866)
  * Add Lintian override for uses-dpkg-database-directly
  * Move girepository-1.0 to multiarch dir.
    Thanks to Simon McVittie (Closes: #1118517)
  * Fix jquery link to eliminate embedded-javascript-library Lintian warning
  * Use current stable instead of oldoldstable for autopkgtest
    (Closes: #1120436)

 -- Hilko Bengen <bengen@debian.org>  Sun, 09 Nov 2025 20:28:00 +0100

libguestfs (1:1.54.1-2ubuntu7) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Nov 2025 09:03:08 +0100

libguestfs (1:1.54.1-2ubuntu6) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Nov 2025 17:43:22 +0100

libguestfs (1:1.54.1-2ubuntu5) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:59:45 +0100

libguestfs (1:1.54.1-2ubuntu4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:01:58 +0000

libguestfs (1:1.54.1-2ubuntu3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:34:30 +0200

libguestfs (1:1.54.1-2ubuntu2) questing; urgency=medium

  * Don't generate depencies on coreutils-from* packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Jun 2025 16:21:22 +0200

libguestfs (1:1.54.1-2ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 May 2025 13:57:21 +0200

libguestfs (1:1.54.1-2) unstable; urgency=medium

  * Replace isc-dhcp-client build-dependency with dhcpcd-base.
    Thanks to Bastian Blank (Closes: #1106125)

 -- Hilko Bengen <bengen@debian.org>  Sat, 24 May 2025 21:31:19 +0200

libguestfs (1:1.54.1-1ubuntu3) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 15:04:52 +0100

libguestfs (1:1.54.1-1ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:06:23 +0000

libguestfs (1:1.54.1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Feb 2025 08:00:36 +0100

libguestfs (1:1.54.1-1) unstable; urgency=medium

  * New upstream version 1.54.1
  * Rebase patches

 -- Hilko Bengen <bengen@debian.org>  Wed, 19 Feb 2025 09:38:24 +0100

libguestfs (1:1.54.0-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.
    - Add some packages to packagelist.in to avoid missing libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2025 15:41:15 +0100

libguestfs (1:1.54.0-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Update translation

  [ Hilko Bengen ]
  * New upstream version 1.54.0
  * Remove direct gobject-introspection-bin dependency (Closes: #1094628)
  * Update watch file
  * Rebase patches
  * Update symbols file

 -- Hilko Bengen <bengen@debian.org>  Mon, 17 Feb 2025 00:19:58 +0100

libguestfs (1:1.52.2-7ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.
    - Add some packages to packagelist.in to avoid missing libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 08:39:41 +0100

libguestfs (1:1.52.2-7) unstable; urgency=medium

  * Add build support for loongarch64.
    Thanks to Dandan Zhang (Closes: #1090732)

 -- Hilko Bengen <bengen@debian.org>  Tue, 24 Dec 2024 12:46:25 +0100

libguestfs (1:1.52.2-6ubuntu3) plucky; urgency=medium

  * No-change rebuild for OCaml ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Nov 2024 21:20:37 +0100

libguestfs (1:1.52.2-6ubuntu2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 06:42:15 +0100

libguestfs (1:1.52.2-6ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.
    - Add some packages to packagelist.in to avoid missing libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Nov 2024 07:05:37 +0100

libguestfs (1:1.52.2-6) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Stop running quickcheck on i386 (Closes: #1085438)

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 Nov 2024 17:55:58 +0100

libguestfs (1:1.52.2-5ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.
    - Add some packages to packagelist.in to avoid missing libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Nov 2024 09:45:43 +0100

libguestfs (1:1.52.2-5) unstable; urgency=medium

  * Tweak qemu-system-* dependencies.
    Thanks to Michael Tokarev (Closes: 1086026)

 -- Hilko Bengen <bengen@debian.org>  Sat, 26 Oct 2024 12:47:48 +0200

libguestfs (1:1.52.2-4) unstable; urgency=medium

  * Update fuse build dependency to allow for fuse3 (Closes: #1084437)

 -- Hilko Bengen <bengen@debian.org>  Mon, 07 Oct 2024 15:21:04 +0200

libguestfs (1:1.52.2-3ubuntu3) plucky; urgency=medium

  * No-change rebuild for libperl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 13:41:20 +0200

libguestfs (1:1.52.2-3ubuntu2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2024 10:07:09 +0200

libguestfs (1:1.52.2-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.
    - Add some packages to packagelist.in to avoid missing libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Aug 2024 15:04:13 +0200

libguestfs (1:1.52.2-3) unstable; urgency=medium

  * Add patch to link daemon with -latomic.
    Thanks to Stéphane Glondu (Closes: 1078470)
  * Add missing build-dependency

 -- Hilko Bengen <bengen@debian.org>  Mon, 12 Aug 2024 12:29:50 +0200

libguestfs (1:1.52.2-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.
    - Add some packages to packagelist.in to avoid missing libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 11:06:07 +0200

libguestfs (1:1.52.2-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Do not hardcode /usr/lib/ocaml (Closes: #1077899)

 -- Hilko Bengen <bengen@debian.org>  Fri, 09 Aug 2024 00:07:36 +0200

libguestfs (1:1.52.2-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.
    - Add some packages to packagelist.in to avoid missing libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jul 2024 16:09:58 +0200

libguestfs (1:1.52.2-1) unstable; urgency=medium

  * New upstream version 1.52.2

 -- Hilko Bengen <bengen@debian.org>  Fri, 12 Jul 2024 10:01:14 +0200

libguestfs (1:1.52.0-6.1ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.
    - Add some packages to packagelist.in to avoid missing libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 09:19:49 +0200

libguestfs (1:1.52.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install 99-guestfs-serial.rules into /usr/lib/udev/rules.d (Closes:
    #1057804)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 01:35:29 +0200

libguestfs (1:1.52.0-6ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.
    - Add some packages to packagelist.in to avoid missing libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 May 2024 11:26:44 +0200

libguestfs (1:1.52.0-6) unstable; urgency=medium

  * Add util-linux-extra to appliance list (Closes: #1071313)

 -- Hilko Bengen <bengen@debian.org>  Sat, 18 May 2024 22:26:51 +0200

libguestfs (1:1.52.0-5ubuntu5) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 May 2024 20:22:04 +0200

libguestfs (1:1.52.0-5ubuntu4) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 May 2024 22:32:52 +0200

libguestfs (1:1.52.0-5ubuntu3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:16:18 +0200

libguestfs (1:1.52.0-5ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:01:37 +0000

libguestfs (1:1.52.0-5ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.
    - Add some packages to packagelist.in to avoid missing libraries

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 21:34:45 +0100

libguestfs (1:1.52.0-5) unstable; urgency=medium

  * Write dependencies from Supermin appliance to correct substvars file,
    take two.
    (Closes: #1065610)

 -- Hilko Bengen <bengen@debian.org>  Tue, 12 Mar 2024 14:01:03 +0100

libguestfs (1:1.52.0-4) unstable; urgency=medium

  * Write dependencies from Supermin appliance to correct substvars file
    (Closes: #1065610)

 -- Hilko Bengen <bengen@debian.org>  Tue, 12 Mar 2024 09:45:13 +0100

libguestfs (1:1.52.0-3) unstable; urgency=medium

  * Add rpc-related build-dependencies.
    Thanks to Aurelien Jarno (Closes: #1065189)
  * Switch Build-Depends to systemd-dev (Closes: #1060585)
  * Bump supermin dependency so that virtual dependencies are resolved.
    (Closes: #1065610)
  * Adjust build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Tue, 12 Mar 2024 00:43:12 +0100

libguestfs (1:1.52.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062358

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:35:02 +0000

libguestfs (1:1.52.0-2ubuntu2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jan 2024 03:51:05 +0100

libguestfs (1:1.52.0-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.
  * Add some packages to packagelist.in to avoid missing libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jan 2024 13:43:24 +0100

libguestfs (1:1.52.0-2) unstable; urgency=medium

  * Add explicit qemu-utils dependency to libguestfs0, fixing dependent
    packages

 -- Hilko Bengen <bengen@debian.org>  Mon, 08 Jan 2024 00:01:44 +0100

libguestfs (1:1.52.0-1) unstable; urgency=medium

  * Add patch to only pass -rtc driftfix=slew on x86 architectures
  * Fix MIPS CPU patch
  * Add Romanian Debconf translation, thanks to Remus-Gabriel Chelu
    (Closes: #1059591)
  * New upstream version 1.52.0
  * Rebase patches
  * Use dhcpcd (dhcpcd-base) as default DHCP client (Closes: #1041066)
  * Ensure that package can be rebuilt from source after successful build
    (Closes: #1045306)

 -- Hilko Bengen <bengen@debian.org>  Sun, 07 Jan 2024 17:52:14 +0100

libguestfs (1:1.50.1-4ubuntu2) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 19:01:52 +0100

libguestfs (1:1.50.1-4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jul 2023 12:17:18 +0200

libguestfs (1:1.50.1-4) unstable; urgency=medium

  * Fix timestamp specification in tar --mtime parameter.
    This should fix those mysterious 32bit build failures for good.

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Jul 2023 22:48:10 +0200

libguestfs (1:1.50.1-3) unstable; urgency=medium

  * Bump Standards-Version
  * Re-enable tests on i386, armhf while setting TMPDIR

 -- Hilko Bengen <bengen@debian.org>  Sun, 23 Jul 2023 13:33:37 +0200

libguestfs (1:1.50.1-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Jun 2023 12:46:29 +0200

libguestfs (1:1.50.1-2) unstable; urgency=medium

  * Disable tests on i386, armhf as a quick workaround, closes: #1037541

 -- Hilko Bengen <bengen@debian.org>  Mon, 26 Jun 2023 16:15:12 +0200

libguestfs (1:1.50.1-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jun 2023 11:23:48 +0200

libguestfs (1:1.50.1-1) unstable; urgency=medium

  * Upload to unstable
  * Fix typo in old changelog entry

 -- Hilko Bengen <bengen@debian.org>  Sun, 11 Jun 2023 23:53:03 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libguestfs0t64`.
